Foxit PDF RDK

Public Member Functions | Static Public Attributes | List of all members
SnappedPoint Class Reference
Inheritance diagram for SnappedPoint:

## Public Member Functions
| GetPoint ()
| Get the point value. More...
| GetType ()
| Get the snapped point type. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Static Public Attributes
static | e_TypeEndpoint
| Snapped point type: endpoint, which means the snapped point is an endpoint of a path.
static | e_TypeIntersectionPoint
| Snapped point type: intersection point, which means the snapped point is the intersection of two intersecting paths.
static | e_TypeMidpoint
| Snapped point type: midpoint, which means the snapped point is the midpoint for two endpoints of a path.
static | e_TypeNearestPoint
| Snapped point type: nearest point, which means the snapped point is the nearest point (which is in a path) to the specified point.
static | e_TypeNone
| Enumeration for snapped point type. More...

## Detailed Description

This class represents information of a snapped point, which is snapped with specified snapping flags by class SnapPointMgr.

See also
  SnapPointMgr.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ GetPoint()

SnappedPoint.GetPoint | ( |  | ) |

Get the point value.

Point value represents a point in a path.

Returns
  Snapped point value.

## ◆ GetType()

SnappedPoint.GetType | ( |  | ) |

Get the snapped point type.

Returns
  Snapped point type. Please refer to values starting from SnappedPoint.e_TypeNone and this would be one of these values.

## ◆ IsEmpty()

SnappedPoint.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## Member Data Documentation

## ◆ e_TypeNone

SnappedPoint.e_TypeNone
| static

Enumeration for snapped point type.

Values of this enumeration should be used alone.

This means the snapped point is invalid.